cancel
Showing results for 
Search instead for 
Did you mean: 

Where can I change the TLS version ?

SOLVED
senthkum
Contributor

Where can I change the TLS version ?

Hi Team,

 

The source system is using TLS 1.0 version and I am not sure about the TLS version of serviceV pro assuming it is higher versioni guess. Due to which my testing is failing. Currently i am using ReadyAPI 2.7.0. Is there a way to change the TLS version in any of the config file?

This has blocked my whole day work, could you please help me in getting resolved.

 

Thanks

Senthil. M

1 ACCEPTED SOLUTION

Accepted Solutions
TanyaYatskovska
Community Manager

Re: Where can I change the TLS version ?

Hi @senthkum,

 

Could you please check if you can use the approach listed in the following topic?

https://community.smartbear.com/t5/SoapUI-Open-Source/How-to-enable-TLS-1-2-in-SoapUI/td-p/96239

 

 

---------
Tanya Yatskovskaya
SmartBear Community and Education Manager

Did my reply answer your question? Give Kudos or Accept it as a Solution to help others. ⬇️⬇️⬇️

View solution in original post

3 REPLIES 3
TanyaYatskovska
Community Manager

Re: Where can I change the TLS version ?

Hi @senthkum,

 

Could you please check if you can use the approach listed in the following topic?

https://community.smartbear.com/t5/SoapUI-Open-Source/How-to-enable-TLS-1-2-in-SoapUI/td-p/96239

 

 

---------
Tanya Yatskovskaya
SmartBear Community and Education Manager

Did my reply answer your question? Give Kudos or Accept it as a Solution to help others. ⬇️⬇️⬇️

View solution in original post

senthkum
Contributor

Re: Where can I change the TLS version ?

Hi Tanya,

I have added all the version of TLS, but still it does not work.

"-Dsoapui.https.protocols=SSLv3,TLSv1.2, TLSv1.1, TLSv1.0"

Steps:

1. Created a project.

2. Added all the project required services.

3. Added condition to send the response.

4. Created a .war file and deployed in Apache Tomcat server.

5. Entered the virtualisation endpoint on a browser and I was able to see all the services and on clicking the service able to see the wsdl.

6. Shared the same virtualisation endpoint to web-method mediator, so that it would redirect the all the incoming call and fetch the response.

7. Web-method throws an error message "This is because of TLS 1.2 upgrade", all our application are running on older version of java.

Could you please help me with this.

 

Thanks

Senthil. M

 

Thanks

Senthil. M

HimanshuTayal
Community Hero

Re: Where can I change the TLS version ?

@senthkum : Don't write all the TLS version use only 1 that is the latest one as once i faced the problem becauseTLS version got upgraded so i updated the version with the same version used by developer and it worked for me.

 


Click "Accept as Solution" if my answer has helped,
Remember to give "Kudos" 🙂 ↓↓↓↓↓



Thanks and Regards,
Himanshu Tayal
New Here?
Join us and watch the welcome video:
Announcements